Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 202780 - [71cat] properties not available
[71cat] properties not available
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: Editing infrastructure
7.1
PC Windows XP
: P3 (vote)
: 7.1
Assigned To: Marek Fukala
issues@web
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-28 14:39 UTC by muellermi
Modified: 2011-11-16 16:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2011-09-28 14:39:59 UTC
Product Version = NetBeans IDE Dev (Build 201109260601)
Operating System = Windows XP version 5.1 running on x86
Java; VM; Vendor = 1.7.0
Runtime = Java HotSpot(TM) Client VM 21.0-b17

In a JSF page, its possible to access strings from a property bundle like
value="#{msg.lblType}

pressing ctrl-space after 
value="#{msg.
will popup autocomplete with a list of keys and values.
So far, so great.

- open bundle (with different langs [maybe this has some influence to the behavior]) and press "new property..."
- go back to JSF, verify autocomplete

--> the new property will not be displayed, no matter whether the properties have been saved or not. Closing and opening the editor has no affect.
After restart of the whole IDE, code completition works as expected
Comment 1 Marek Fukala 2011-09-28 15:05:20 UTC
that's a known caching issue with the resource bundles. nothing else than restart helps :-(. I'll fix it, sorry.
Comment 2 Marek Fukala 2011-09-29 11:52:14 UTC
fixed in web-main#62597c663137

The resource bundles cache is now refreshed based on resource bundle file changes or the configuration changes (faces config)
Comment 3 Quality Engineering 2011-09-30 14:42:32 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/62597c663137
User: Marek Fukala <mfukala@netbeans.org>
Log: #202780 - [71cat] properties not available


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo